@import url('https://fonts.googleapis.com/css2?family=Forum&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

:root  {
    --marron: #835e42;
    --error: #DC0000;
    --min-desktop: 1200px;
    --min-tablet: 800px;
    --min-phone: 450px;
}

* {
    margin: 0;
    padding: 0;
    font-family: "Forum", serif;
    font-style: normal;
    box-sizing: border-box;
}

.container {
    width: 1200px;
    margin: 0 auto;
}

a {
    text-decoration: none;
    font-weight: bold;
    color: #000;
}

.font-medium {font-size: 1.2em;}

.separador {
    display: block;
    height: 90px;
}

/********************** hamburger icon **********************/
.hamburguer {
    display: inline-block;
    cursor: pointer;
    padding-top: 15px;
    display: none;
}

.bar1, .bar2, .bar3 {
    width: 35px;
    height: 5px;
    background-color: var(--marron);
    margin: 6px 0;
    transition: 0.4s;
}

.change .bar1 {
    transform: translate(0, 11px) rotate(-45deg);
}

.change .bar2 {opacity: 0;}

.change .bar3 {
    transform: translate(0, -11px) rotate(45deg);
}

/************************************** MENU **********************/
nav#menu {
    background-color: #FFF;
    width: 100%;
    padding: 0.5em;
    position: fixed;
}

nav#menu .container {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
}

nav#menu .container.logo-center {
    justify-content: center;
}

nav#menu .container img{
    height: 70px;
}

nav#menu .container ul{
    padding: 0;
    margin: 0;
    list-style: none;
}

nav#menu .container ul li{
    display: inline-block;
    line-height: 70px;
    margin-right: 20px;
    cursor: pointer;
    font-size: 1.2em;
}

nav#menu .container ul li:last-child {
    margin: 0;
}

nav#menu .container ul li a {
    text-decoration: none;
    font-weight: bold;
    color: var(--marron);
}

/***************** PAGE *******************************/
.row {
    padding: 50px 0;
}
.row.brown {
    background: var(--marron);
    color: #FFF;
}

.row.brown a:not(.btn) {
    color: #FFF;
    text-decoration: underline;
}

.content img {
    width: 100%;
}

.content h2 {
    font-size: 3em;
    text-align: center;
    margin-bottom: 50px;
    color: var(--marron);
}

.content .row.brown h2 {
    color: #FFF;
}

img.circle {
    border-radius: 50%;
}

.image-separator {
    height: 500px;
    max-height: 500px;
    background: url(../img/room-separator.jpg) no-repeat;
    background-position: bottom;
    background-size: cover;
}

.image-separator-pc {
    height: 500px;
    max-height: 500px;
    background: url(../img/sobre_nosotros.jpg) no-repeat;
    background-position: bottom;
    background-size: cover;
}

label.btn {
    width: 100%;
    display: block;
}

.intro {
    width: 100%;
    display: flex;
    height: 100vh;
    background: url(../img/dormitorio_main.jpg) no-repeat;
    background-position: center;
    background-size: cover;
    align-content: center;
    flex-wrap: wrap;
    justify-content: center;
}

.intro div:not(.button-box) {
    width: 70%;
    color: #FFF;
    line-height: 1.6em;
    padding: 50px 60px;
    text-align: justify;
    font-size: 1.4em;
    background: rgba(0, 0, 0, 0.5);

    h1 {
        text-align: center;
        margin-bottom: 30px;
    }
}

.intro div:not(.button-box) h1 {
    text-align: center;
    margin-bottom: 30px;
}

.intro div.button-box {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    margin-top: 20px;

    a.btn-primary {
        color: #FFF;
        border: 1px solid #FFF;
        padding: 10px 30px;
        font-weight: normal;
        font-size: 1.3em;
    }
}

.sobre-nosotros p {
    font-size: 1.4em;
}

.columns {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    align-items: flex-start;
}

.columns .col{
    width: 29%;
    margin-right: 50px;
    margin-bottom: 50px;

    p.desc {
        text-align: justify;
    }
}

.columns .col strong{
    font-size: 1.5em;
    color: var(--marron);
}

.columns .col p{
    margin: 20px 0;
}

.columns .col p,  .columns .col ul{
    text-align: center;
}

.columns .col img {
    width: 240px;
    height: 240px;
    display: block;
    margin: 0 auto;
}

.columns .col ul {
    padding-left: 20px;
    text-align: left;
}

.columns .col ul li {
    margin: 10px 0;
}

.dropdown {
    background-color: transparent;
    color: #FFF;
    padding: 10px 20px;
    font-size: 1.2em;
    border: 1px solid #FFF;
    cursor: pointer;
    max-height: 70px;
    transition: max-height 0.5s ease-out;
    overflow: hidden;

    p {
        font-size: 1.1em !important;
    }

    ul {
        padding-left: 50px;

        li {
            font-size: 0.9em;
        }
    }

    .hidden {
        display: none;
    }
}

.dropdown.active {
    max-height: 1000px;
    transition: max-height 0.5s ease-in;
    .hidden {
        display: block;
    }
}

.btn {
    background: var(--marron);
    color: #FFF;
    padding: 10px 20px;
    font-size: 1.2em;
    border: 1px solid #FFF;
    transition: 0.4s ease-in-out;
    cursor: pointer;
}

.btn:hover, .btn.active {
    background: #FFF;
    color: var(--marron);
}

.tabs {
    width: 50%;
    margin: 0 auto;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-evenly;
    margin-bottom: 50px;

    a.btn {
        font-weight: normal;
    }
}

div.form {
    display: none;
}

div.form.active {
    display: block;
}

div.form#clientes {
    display: block;
}

div.forms-container {
    width: 50%;
    margin: 0 auto;
    margin-top: 50px;
}

form {
    display: block;
    text-align: left;
}

form input, form input:-internal-autofill-selected, form select, select.input, form textarea {
    display: block;
    width: 100%;
    font-size: 1.4em;
    color: #FFF;
    background-color: var(--marron) !important;
    border: 1px solid #FFF;
    padding: 15px;
    margin-bottom: 20px;
    outline: none;
    resize: none;
}

form input.error, form input:-internal-autofill-selected.error, form select.error, select.input.error, form textarea.error {
    border-color: var(--error);
    border: 2px solid var(--error);
}

form textarea::-webkit-input-placeholder { /* Chrome */
    color: white;
}

form textarea:-moz-placeholder { /* Firefox 18- */
    color: white;
}

form textarea::-moz-placeholder { /* Firefox 19+ */
    color: white;
}

form textarea:-ms-input-placeholder { /* IE 10+ */
    color: white;
}

form input.hidden {
    display: none;
}

form input[type="checkbox"] {
    display: inline;
    width: auto;
}

form label {
    font-size: 1.3em;
}

form input::placeholder {
    color: #FFF;
}

form p {
    font-size: 1.1em;
    margin: 20px 0
}

div.form button.btn {
    width: 100%;
    font-size: 1.4em;
}


.faqs h3.question {
    font-size: 1.5em;
    color: var(--marron);
    margin-bottom: 10px;
    margin-top: 35px;
}

.faqs p {
    font-size: 1.1em;
}

.contacto {
    font-size: 1.2em;
    margin: 0 auto;
    text-align: left;
}

.contacto p, .contacto h3 {
    margin-bottom: 10px;
    padding-left: 20px;
}

img.icon {
    display: inline-block;
    height: 25px;
    width: 25px;
    filter: invert();
    vertical-align: bottom;
}

div.contact-info {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}

/************ footer *******/
footer {
    background: var(--marron);
    color: #FFF;
    font-size: 1.1em;
    text-align: center;
    padding: 20px 0;
}

footer a {
    color: #FFF;
    font-weight: normal;
}

.contacto-clientes {
    min-height: 85vh;

    p, li {
        font-size: 1.3em;
    }

    li {
        margin-top: 20px;
    }

    ul ol {
        padding-left: 20px;
    }

    div.info {
        margin: 20px 0;
        p{
            font-size: 1.1em;
            margin-top: 10px;

            img.icon {
                width: 20px;
                height: 20px;
            }
        }
    }
}

/**** fix safari ****/
.intro .button-box a {
    color: #FFF;
    border: 1px solid #FFF;
    padding: 10px 30px;
    font-weight: 400;
    font-size: 1.3em;
}

form input, form select, select.input, form textarea {
    display: block;
    width: 100%;
    font-size: 1.4em;
    color: #FFF;
    background-color: var(--marron) !important;
    border: 1px solid #FFF;
    padding: 15px;
    margin-bottom: 20px;
    outline: none;
    resize: none;
}


/* iconos rrss*/
footer p.footer-rrss {
    margin-bottom: 20px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
}

footer p.footer-rrss .icons {
    margin-left: 10px;
}

footer p.footer-rrss img {
    width: 20px;
    height: 20px;
    margin: 0 3px;
    vertical-align: bottom;
    filter: invert();
}

@media only screen and (max-width: 1200px) {
    .container {
        width: 100%;
        padding: 0 30px;
    }

    .intro div {
        width: 90%;
    }

    .columns {
        justify-content: space-between;
        align-items: normal;
    }

    .columns .col {
        width: 48%;
        margin-right: 0;
    }

}

div.legals {
    p {
        font-size: 1.1em;
        margin: 15px 0;
    }
}
/** To fix intro **/
@media only screen and (max-width: 1100px) {
    .intro {
        height: auto;
    }

    .intro div:not(.button-box) {
        width: 100%;
        padding: 50px 40px;
        font-size: 1.2em;
    }
}

@media only screen and (max-width: 900px) {
    .hamburguer {
        display: inline-block;
    }

    nav#menu .container ul {
        padding-left: 20px;
        position: absolute;
        background: #FFF;
        top: 90px;
        right: -300px;
        width: 300px;
        height: 100vh;
        transition: 0.4s ease-in-out;
    }

    nav#menu .container ul.open {
        right: 0;
    }

    nav#menu .container ul li {
        display: block;
    }

    div.forms-container {
        width: 100%;
    }
}

@media only screen and (max-width: 700px) {
    .columns .col {
        width: 100%;
        margin-right: 0;
    }

    .columns .col p.desc {
        font-size: 1.3em;
    }

    .columns .col strong {
        font-size: 1.8em;
    }

    .tabs {
        width: 100%;
    }

    form {
        width: 95%;
    }

    div.contact-info {
        flex-direction: column;
        width: 300px;
        margin: 0 auto;

        div {
            margin-top: 10px;
        }
    }

    footer a {
        display: block;
        margin: 10px;
    }

    footer .icons a {
        display: inline-block;
    }

    footer .point-separator {display: none;}

    footer p.footer-rrss {
        flex-direction: column;
        flex-wrap: nowrap;
        justify-content: center;
    }

    footer p.footer-rrss img {
        width: 40px;
        height: 40px;
        margin: 0 5px;
        vertical-align: bottom;
        filter: invert();
    }

    footer p.footer-rrss span:nth-child(1) {
        font-size: 1.2em;
    }
}

@media only screen and (max-width: 530px) {
    .dropdown {
        max-height: 90px;
    }
    .tabs {
        align-content: center;
        flex-wrap: wrap;
    }

    .intro div.button-box, .tabs {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content:center;

        a.btn-primary, a.btn, a {
            font-size: 1.2em;
            margin-bottom: 20px;
            text-align: center;
        }

        a.btn {
            width: 300px;
        }
    }

    .intro div.button-box a, .tabs a {
        margin-bottom: 20px;
    }
}

@media only screen and (max-width: 300px) {
    div.contact-info {
        width: 100%;

        img {
            display: block;
        }

        * {
            font-size: 0.9em;
        }
    }

    .intro div.button-box, .tabs {
        flex-wrap: nowrap;
        a.btn {
            width: auto;
        }
    }
}


/*overrides*/
div:where(.swal2-container) button:where(.swal2-styled):where(.swal2-confirm) {
    background-color: var(--marron) !important;
}
